[Rainmeter]
Author=wasek
Update=800

[Variables]
BarColor=250, 250, 250,20
BarColor2=0,255,0,250
PrimaryColor=0,255,0,100
Drive1=C:
Drive2=D:

[style]
FontFace=Calibri
FontSize=8
StringStyle=BOLD
FontColor=255,255,255,200
AntiAlias=1
StringEffect=SHADOW
FontEffectColor=0,0,0,80

[Image]
Meter=Image
ImageName=gd3.png
X=0
Y=0
ImageAlpha=220

[Image2]
Meter=IMAGE
SolidColor=0,0,0,100
X=255
Y=5
W=40
H=160

[MeasureCPU]
Measure=CPU
Processor=0

[MeasureTopProcessName]
Measure=Plugin
Plugin=Plugins\AdvancedCPU.dll
TopProcess=2
CPUExclude=Idle

[MeasureTopProcessUsage]
Measure=Plugin
Plugin=Plugins\AdvancedCPU.dll
TopProcess=1
CPUExclude=Idle

[CPUGraph1]
Meter=Line
MeasureName=MeasureCPU
X=10
Y=20
H=15
W=238
LineColor=#BarColor2#
AntiAlias=1

[CPUGraph2]
Meter=HISTOGRAM
MeasureName=MeasureCPU
X=10
Y=19
H=15
W=238
PrimaryColor=#PrimaryColor#
AntiAlias=1

[MeterTopProcess]
Meter=STRING
MeasureName=MeasureTopProcessUsage
MeasureName2=MeasureTopProcessName
X=15
Y=10
MeterStyle=style
FontColor=255,0,0
Text="%2- %1%"
NumOfDecimals=0
Scale=100000

[CPU]
Meter=STRING
X=275
Y=10
MeterStyle=style
StringAlign=Center
Text="CPU"

[MeterPercent]
Meter=STRING
MeasureName=MeasureCPU
X=275
Y=25
MeterStyle=style
StringAlign=Center
FontColor=255,0,0
Text=%1%
AutoScale=1
Percentual=1

[MeasureRAM]
Measure=PhysicalMemory

[RAMGraph1]
Meter=Line
MeasureName=MeasureRAM
X=10
Y=50
H=15
W=238
LineColor=#BarColor2#
AntiAlias=1

[RAMGraph2]
Meter=HISTOGRAM
MeasureName=MeasureRAM
X=10
Y=49
H=15
W=238
PrimaryColor=#PrimaryColor#
AntiAlias=1

[RAM]
Meter=STRING
X=275
Y=40
MeterStyle=style
StringAlign=Center
Text="RAM"

[MeterMemory]
Meter=String
MeasureName=MeasureRAM
X=275
Y=55
MeterStyle=style
StringAlign=Center
FontColor=255,0,0
Text=%1%
AutoScale=1
Percentual=1


[MeasureSWAP]
Measure=SWAPMemory

[SWAP]
Meter=STRING
X=275
Y=70
MeterStyle=style
StringAlign=Center
Text="SWAP"

[SWAP2]
Meter=STRING
MeasureName=MeasureSWAP
X=275
Y=85
MeterStyle=style
StringAlign=Center
FontColor=255,0,0
Text=" %1%"
AutoScale=1
Percentual=1

[SWAPGraph1]
Meter=Line
MeasureName=MeasureSWAP
X=10
Y=80
H=15
W=238
LineColor=#BarColor2#
AntiAlias=1

[SWAPGraph2]
Meter=HISTOGRAM
MeasureName=MeasureSWAP
X=10
Y=79
H=15
W=238
PrimaryColor=#PrimaryColor#
AntiAlias=1


[MeasureHDD1a]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive1#

[MeasureTotalHDD1]
Measure=FreeDiskSpace
Total=1

[MeterUsedDrive1Bar]
MeasureName=MeasureHDD1a
Meter=BAR
X=10
Y=120
W=238
H=4
BarColor=#BarColor2#
BarOrientation=HORIZONTAL

[Drive1BarBG]
Meter=IMAGE
X=r
Y=r
W=238
H=4
SolidColor=#BarColor#

[Drive1]
Meter=STRING
X=15
Y=105
MeterStyle=style
Text=#Drive1#

[Drive1Total]
MeasureName=MeasureTotalHDD1
Meter=STRING
X=55
Y=105
MeterStyle=style
AutoScale=1
Text="Total  %1B"

[Drive1Usage]
MeasureName=MeasureHDD1a
Meter=STRING
X=165
Y=105
MeterStyle=style
AutoScale=1
Text="Free %1B"

[MeasureHDD2]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive2#

[MeasureHDD2a]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=#Drive2#

[MeasureTotalHDD2]
Measure=FreeDiskSpace
Total=1
Drive=#Drive2#

[MeterUsedDrive2Bar]
MeasureName=MeasureHDD2a
Meter=BAR
X=10
Y=150
W=238
H=4
BarColor=#BarColor2#
BarOrientation=HORIZONTAL

[Drive2BarBG]
Meter=IMAGE
X=r
Y=r
W=238
H=4
SolidColor=#BarColor#

[Drive2]
Meter=STRING
X=15
Y=135
MeterStyle=style
Text=#Drive2#

[Drive2Total]
MeasureName=MeasureTotalHDD2
Meter=STRING
X=55
Y=135
MeterStyle=style
AutoScale=1
Text="Total  %1B"

[Drive2Usage]
MeasureName=MeasureHDD2
Meter=STRING
X=165
Y=135
MeterStyle=style
AutoScale=1
Text="Free %1B"


[Mse_DiskIO_Read]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=PhysicalDisk
PerfMonCounter="Disk Read Bytes/sec"
PerfMonInstance=_Total

[Mse_DiskIO_Read_KB]
Measure=Calc
Formula=Mse_DiskIO_Read/1024

[Mse_DiskIO_Write]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=PhysicalDisk
PerfMonCounter="Disk Write Bytes/sec"
PerfMonInstance=_Total

[Mse_DiskIO_Write_KB]
Measure=Calc
Formula=Mse_DiskIO_Write/1024

[DiskIO_Read]
MeasureName=Mse_DiskIO_Read_KB
Meter=STRING
X=260
Y=160
W=50
H=15
MeterStyle=style
FontColor=255,0,0
NumOfDecimals=1
Prefix=Чт
Text=" %1 "
AutoScale=1
Angle=-1.56
          
[DiskIO_Write]
MeasureName=Mse_DiskIO_Write_KB
Meter=STRING
X=275
Y=160
W=50
H=15
MeterStyle=style
FontColor=255,0,0
Text=" %1 "
AutoScale=1
NumOfDecimals=1
Prefix=Зап
Angle=-1.56

[Image3]
Meter=IMAGE
SolidColor=255,0,0,150
X=210
Y=175
W=30
H=6
ToolTipText="Shutdown"
LeftMouseDownAction=!Execute [%windir%\System32\shutdown.exe -s -t 0]

[Image4]
Meter=IMAGE
SolidColor=0,255,0,150
X=255
Y=175
W=30
H=6
ToolTipText="Restart"
LeftMouseDownAction=!Execute [%windir%\System32\shutdown.exe -r -t 0]





